### Name: getBM
### Title: Generate Pajek compatible matrix from screened gene pairs
### Aliases: getBM
### Keywords: cluster htest

### ** Examples


## load GeneNT library
library(GeneNT)

## EITHER use the example dataset
data(dat) 
## Note, data matrix name has to be "dat"
## use (FDR, MAS) criteria (0.2, 0.5) as example to screen gene pairs
## use "BY" procedure to do multiple comparison adjustment 
g1 <- corfdrci(0.2, 0.5, "BY") 
pG1 <- g1$pG1
## pG2 contains gene pairs that passed two-stage screening
pG2 <- g1$pG2  
g2 <- kendallfdrci(0.2, 0.5, "BY") #use (FDR, MAS) criteria (0.2, 0.5) as example to screen gene pairs 
kG1 <- g2$kG1
## kG2 contains gene pairs that passed two-stage screening
kG2 <- g2$kG2  
## generate Pajek compatible matrix to visualize network
getBM(pG2, kG2) 



