###################################################
### chunk number 1: 
###################################################
library(GeneNT)
data(dat)
## use (FDR, MAS) criteria (0.2, 0.5) as example to screen gene pairs
## use "BY" procedure to do multiple comparison adjustment 
g1 <- corfdrci(0.2, 0.5, "BY") 
pG1 <- g1$pG1
## pG2 contains gene pairs that passed two-stage screening
pG2 <- g1$pG2  


###################################################
### chunk number 2: 
###################################################
g2 <- kendallfdrci(0.2, 0.5, "BY") 
kG1 <- g2$kG1
## kG2 contains gene pairs that passed two-stage screening
kG2 <- g2$kG2  


###################################################
### chunk number 3: 
###################################################
## generate Pajek compatible matrix to visualize network
getBM(pG2, kG2)


###################################################
### chunk number 4: 
###################################################
## clustering from network using network constraint clustering, for example, p = 6.
g <- ncclust(6, pG2, kG2) 


